# CleverWooLayeredNavigation

WooCommerce AJAX Layered Navigation, WooCommerce Product Filter adds advanced product filtering to your WooCommerce shop.

## Key Features

- __New Filters:__ Product selection may be narrowed down to show PRICE, NEW, ON-SALE, and IN-STOCK items
- __Attribute multi-select:__ Unlike in native functionality, several attributes of a single filter may be selected at the same time. No intermediary page reloads
- AJAX LOAD for seamless filtering: Navigation process is not interrupted by reloads after each attribute selection
- Filter products by reviews and ratings
- __Range Slider display option for numeric attributes:__ Apply __Range Slider__ display mode for various numeric attributes like price, weight, memory size, megabyte, etc. to make store usage more convenient for the customers. Besides, sliders take a lot less space in the navigation block, so the navigation will be more compact
- __'From-to' widget for numeric attributes:__ To filter products by price or any other numeric attribute you can either display price ranges or let customers specify minimal and maximal price limits with a handy widged. It's also possible to show the 'from-to' widget together with other price filter types
- Advanced options for navigation by brand: Filter products by brand in the navigation block – provide customers with an intuitive way to find exactly what they need
- Sidebar and Widget WooCommerce Product Filters – Full support for all themes in sidebar mode.
- SEO-friendly URLs
- Vertical and Horizontal Navigation
- __Variation Swatches Filter supported__: Variation Swatches instead of text for better visual browsing. Let your customers make product selection easier, boost your conversions and earn more money. This feature can’t work alone without CleverSwatches plugin. So please make __CleverSwatches__ plugin is installed on your site
- Translation Ready and full WPML support!

## Js trigger

- `zoo_ln_before_filter` Trigger when user select filter (data submit).
- `zoo_ln_after_filter` Trigger after ajax done. Return data and form filter.

# Change Logs

## Version 1.3.6 released November 19, 2019

- Fixed menus disappear while filtering.
- Enhanced filter logic in category page and tag page.

## Version 1.3.4 released November 12, 2019

- Enhance filter logic.
- Make filter widget work with multiple instances.

## Version 1.3.3 released June 12, 2019

- Fix issue require active WooCommerce after update WooCommerce.

## Version 1.3.2 released Feb 12, 2019

- Fix error with encoded JSON data.
- Fix categories filter inside a category.

## Version 1.3.1 released Jan 22, 2019

- Fix issue with activated filter.
- Fix undefined variable of category filter.
- Fix issue with default WooCommerce ordering
- Fix issue tax_query,meta_query undefined when ajax filter.
- Fix html5 validator.
- Improve filter functions.
- Improve product query.
- Improve Range filter.



## Version 1.3.0 released July 16, 2018

- Add filter item: Filter by Tags.
- Add support for Dokan multivendor plugin.
- Improve filter by categories.
- Improve queries filter.
- Fix `Undefined index "relation"` error.
- Fix error with products archive page.

## Version 1.2.2 released May 26, 2018

- Fix issue filter on mobile.
- Fix issue of jquery ui slider can slide with Mobile device.
- Fix issue of range slider when remove active filter.
- Fix issue of category when filter inside category page.
- Fix issue of filter not working with permalink structure of shop page is plain text.

## Version 1.2.1 released May 15, 2018

- Fix issue with loading Clever Swatches filter template

## Version 1.2.0 released May 14, 2018

- Add Range filter for attribute is numberic.
- Add Logic Operator for filter.
- Add Custom js option (Allow user add custom js for filter).
- Improve filter logic.
- Improve filter functions.
- Improve css/js.
- Remove code unused.


## Version 1.1.1 released May 2, 2018

- Add list style for Swatches filter.
- Improve style of horizontal filter layout.
- Improve css/js.


## Version 1.1.0 released Apr 26, 2018


- Add option max height for filter.
- Add Swatches Filter: this feature can’t work alone without CleverSwatches plugin. So please make CleverSwatches plugin is installed on your site.
- Improve js, css.
- Improve filter functions.

## Version 1.0.0 released Apr 04, 2018

- Initial Release!
