<?php
if (!defined('ABSPATH'))
    die('No direct access allowed');
?>

<li data-key="<?php echo $key ?>" class="cwpf_options_li">

    <?php
    $show = 0;
    if (isset($cwpf_settings[$key]['show']))
    {
        $show = $cwpf_settings[$key]['show'];
    } else
    {
        $show = get_option('cwpf_show_author_search', 0);
    }
    ?>

    <a href="#" class="help_tip cwpf_drag_and_drope" data-tip="<?php _e("drag and drope", 'cwpfilter'); ?>"><span class="cwpf-list-icons cwpf-list-move-button"></span></a>

    <strong style="display: inline-block; width: 176px;"><?php _e("Search by Author", 'cwpfilter'); ?>:</strong>

    <img class="help_tip" data-tip="<?php _e('Show Search by author drop-down inside cwpf search form', 'cwpfilter') ?>" src="<?php echo WP_PLUGIN_URL ?>/woocommerce/assets/images/help.png" height="16" width="16" />

    <div class="select-wrap">
        <select name="cwpf_settings[<?php echo $key ?>][show]" class="cwpf_setting_select">
            <option value="0" <?php echo selected($show, 0) ?>><?php _e('No', 'cwpfilter') ?></option>
            <option value="1" <?php echo selected($show, 1) ?>><?php _e('Yes', 'cwpfilter') ?></option>
        </select>
    </div>

    <span value="<?php _e('additional options', 'cwpfilter') ?>" data-key="<?php echo $key ?>" data-name="<?php _e("Search by Author", 'cwpfilter'); ?>" class="cwpf-list-icons js_cwpf_expand_options js_cwpf_expand_options_<?php echo $key ?>"></span>

    <?php
    if (!isset($cwpf_settings[$key]['placeholder']))
    {
        $cwpf_settings[$key]['placeholder'] = '';
    }

    if (!isset($cwpf_settings[$key]['role']))
    {
        $cwpf_settings[$key]['role'] = 0;
    }
    if (!isset($cwpf_settings[$key]['view']))
    {
        $cwpf_settings[$key]['view'] = 'drop-down';
    }
    ?>

    <input type="hidden" name="cwpf_settings[<?php echo $key ?>][placeholder]" value="<?php echo $cwpf_settings[$key]['placeholder'] ?>" />
    <input type="hidden" name="cwpf_settings[<?php echo $key ?>][role]" value="<?php echo $cwpf_settings[$key]['role'] ?>" />
    <input type="hidden" name="cwpf_settings[<?php echo $key ?>][view]" value="<?php echo $cwpf_settings[$key]['view'] ?>" />

    <div id="cwpf-modal-content-<?php echo $key ?>" style="display: none;">


        <div class="cwpf-form-element-container">

            <div class="cwpf-name-description">
                <strong><?php _e('Placeholder text', 'cwpfilter') ?></strong>
                <span><?php _e('First drop-down option placeholder text OR title for checkboxes', 'cwpfilter') ?></span>
            </div>

            <div class="cwpf-form-element">
                <input type="text" class="cwpf_popup_option" data-option="placeholder" placeholder="" value="" />
            </div>

        </div>


        <div class="cwpf-form-element-container">

            <div class="cwpf-name-description">
                <strong><?php _e('Role', 'cwpfilter') ?></strong>
                <span><?php _e('You can define whith which role show users in the drop down', 'cwpfilter') ?></span>
            </div>

            <div class="cwpf-form-element">
                <?php global $wp_roles; ?>
                <div class="select-wrap">
                    <select class="cwpf_popup_option" data-option="role">
                        <option value="0"><?php _e('all', 'cwpfilter') ?></option>
                        <?php foreach ($wp_roles->get_names() as $_role_key => $_role_value) : ?>
                            <option value="<?php echo $_role_key; ?>"><?php echo $_role_value; ?></option>
                        <?php endforeach; ?>
                    </select>
                </div>

            </div>

        </div>
        <div class="cwpf-form-element-container">

                    <div class="cwpf-name-description">
                        <strong><?php _e('View', 'cwpfilter') ?></strong>
                        <span><?php _e('View of the search by author ', 'cwpfilter') ?></span>
                    </div>

                    <div class="cwpf-form-element">
                        <?php
                        $view = array(
                            'drop-down' => __('Drop-down', 'cwpfilter'),
                            'checkbox' => __('Checkbox', 'cwpfilter')
                        );
                        ?>

                        <div class="select-wrap">
                            <select class="cwpf_popup_option" data-option="view">
                                <?php foreach ($view as $_view_key => $_view_value) : ?>
                                    <option value="<?php echo $_view_key; ?>"><?php echo $_view_value; ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>

                    </div>

                </div>

    </div>

</li>
