<?php if (!defined('ABSPATH')) die('No direct access allowed'); ?>

<?php
//+++
$args = array();
$args['show_count'] = get_option('cwpf_show_count', 0);
if ($dynamic_recount == -1) {
    $args['show_count_dynamic'] = get_option('cwpf_show_count_dynamic', 0);
} else {
    $args['show_count_dynamic'] = $dynamic_recount;
}
$args['hide_dynamic_empty_pos'] = get_option('cwpf_hide_dynamic_empty_pos', 0);
$args['cwpf_autosubmit'] = $autosubmit;
//***
$_REQUEST['tax_only'] = $tax_only;
$_REQUEST['tax_exclude'] = $tax_exclude;
$_REQUEST['by_only'] = $by_only;

if (!function_exists('cwpf_show_btn')) {

    function cwpf_show_btn($autosubmit = 1, $ajax_redraw = 0) {
        ?>
        <div class="cwpf_submit_search_form_container">
            <?php
            global $CWPF;
            if ($CWPF->is_isset_in_request_data($CWPF->get_scwpf_search_slug()) OR ( class_exists("CWPF_EXT_TURBO_MODE") AND isset($CWPF->settings["cwpf_turbo_mode"]["enable"]) AND $CWPF->settings["cwpf_turbo_mode"]["enable"] )): global $cwpf_link;
                ?>

                <?php
                $cwpf_reset_btn_txt = get_option('cwpf_reset_btn_txt', '');
                if (empty($cwpf_reset_btn_txt)) {
                    $cwpf_reset_btn_txt = __('Reset', 'cwpfilter');
                }
                $cwpf_reset_btn_txt = CWPF_HELPER::wpml_translate(null, $cwpf_reset_btn_txt);
                ?>

                <?php if ($cwpf_reset_btn_txt != 'none'): ?>
                    <button  class="button cwpf_reset_search_form" data-link="<?php echo $cwpf_link ?>"><?php echo $cwpf_reset_btn_txt ?></button>
                <?php endif; ?>
            <?php endif; ?>

            <?php if (!$autosubmit OR $ajax_redraw): ?>
                <?php
                $cwpf_filter_btn_txt = get_option('cwpf_filter_btn_txt', '');
                if (empty($cwpf_filter_btn_txt)) {
                    $cwpf_filter_btn_txt = __('Filter', 'cwpfilter');
                }

                $cwpf_filter_btn_txt = CWPF_HELPER::wpml_translate(null, $cwpf_filter_btn_txt);
                ?>
                <button class="button cwpf_submit_search_form"><?php echo $cwpf_filter_btn_txt ?></button>
            <?php endif; ?>
        </div>
        <?php
    }

}

if (!function_exists('cwpf_only')) {

    function cwpf_only($key_slug, $type = 'taxonomy') {

        switch ($type) {
            case 'taxonomy':

                if (!empty($_REQUEST['tax_only'])) {
                    if (!in_array($key_slug, $_REQUEST['tax_only'])) {
                        return FALSE;
                    }
                }

                if (!empty($_REQUEST['tax_exclude'])) {
                    if (in_array($key_slug, $_REQUEST['tax_exclude'])) {
                        return FALSE;
                    }
                }

                break;

            case 'item':
                if (!empty($_REQUEST['by_only'])) {
                    if (!in_array($key_slug, $_REQUEST['by_only'])) {
                        return FALSE;
                    }
                }
                break;
        }


        return TRUE;
    }

}

//Sort logic  for shortcode [cwpf] attr tax_only
if (!function_exists('cwpf_print_tax')) {

    function get_order_by_tax_only($t_order, $t_only) {
        $temp_array = array_intersect($t_order, $t_only);
        $i = 0;
        foreach ($temp_array as $key => $val) {
            $t_order[$key] = $t_only[$i];
            $i++;
        }
        return $t_order;
    }

}
//***
if (!function_exists('cwpf_print_tax')) {

    function cwpf_print_tax($taxonomies, $tax_slug, $terms, $exclude_tax_key, $taxonomies_info, $additional_taxes, $cwpf_settings, $args, $counter) {

        global $CWPF;

        if ($exclude_tax_key == $tax_slug) {
            //$terms = apply_filters('cwpf_exclude_tax_key', $terms);
            if (empty($terms)) {
                return;
            }
        }

        //***

        if (!cwpf_only($tax_slug, 'taxonomy')) {
            return;
        }

        //***


        $args['taxonomy_info'] = $taxonomies_info[$tax_slug];
        $args['tax_slug'] = $tax_slug;
        $args['terms'] = $terms;
        $args['all_terms_hierarchy'] = $taxonomies[$tax_slug];
        $args['additional_taxes'] = $additional_taxes;

        //***
        $cwpf_container_styles = "";
        if ($cwpf_settings['tax_type'][$tax_slug] == 'radio' OR $cwpf_settings['tax_type'][$tax_slug] == 'checkbox') {
            if ($CWPF->settings['tax_block_height'][$tax_slug] > 0) {
                $cwpf_container_styles = "max-height:{$CWPF->settings['tax_block_height'][$tax_slug]}px; overflow-y: auto;";
            }
        }
        //***
        //https://wordpress.org/support/topic/adding-classes-cwpf_container-div
        $primax_class = sanitize_key(CWPF_HELPER::wpml_translate($taxonomies_info[$tax_slug]));
        ?>
        <div data-css-class="cwpf_container_<?php echo $tax_slug ?>" class="cwpf_container cwpf_container_<?php echo $cwpf_settings['tax_type'][$tax_slug] ?> cwpf_container_<?php echo $tax_slug ?> cwpf_container_<?php echo $counter ?> cwpf_container_<?php echo $primax_class ?>">
            <div class="cwpf_container_overlay_item"></div>
            <div class="cwpf_container_inner cwpf_container_inner_<?php echo $primax_class ?>">
                <?php
                $css_classes = "cwpf_block_html_items";
                $show_toggle = 0;
                if (isset($CWPF->settings['show_toggle_button'][$tax_slug])) {
                    $show_toggle = (int) $CWPF->settings['show_toggle_button'][$tax_slug];
                }
                $tooltip_text = "";
                if (isset($CWPF->settings['tooltip_text'][$tax_slug])) {
                    $tooltip_text = $CWPF->settings['tooltip_text'][$tax_slug];
                }
                //***
                $search_query = $CWPF->get_request_data();
                $block_is_closed = true;
                if (in_array($tax_slug, array_keys($search_query))) {
                    $block_is_closed = false;
                }
                if ($show_toggle === 1 AND ! in_array($tax_slug, array_keys($search_query))) {
                    $css_classes .= " cwpf_closed_block";
                }

                if ($show_toggle === 2 AND ! in_array($tax_slug, array_keys($search_query))) {
                    $block_is_closed = false;
                }

                if (in_array($show_toggle, array(1, 2))) {
                    $block_is_closed = apply_filters('cwpf_block_toggle_state', $block_is_closed);
                    if ($block_is_closed) {
                        $css_classes .= " cwpf_closed_block";
                    } else {
                        $css_classes = str_replace('cwpf_closed_block', '', $css_classes);
                    }
                }
                //***
                switch ($cwpf_settings['tax_type'][$tax_slug]) {
                    case 'checkbox':
                        if ($CWPF->settings['show_title_label'][$tax_slug]) {
                            ?>
                            <<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                            <?php echo CWPF_HELPER::wpml_translate($taxonomies_info[$tax_slug]) ?>
                            <?php echo CWPF_HELPER::draw_tooltipe(CWPF_HELPER::wpml_translate($taxonomies_info[$tax_slug]), $tooltip_text) ?>
                            <?php CWPF_HELPER::draw_title_toggle($show_toggle, $block_is_closed); ?>
                            </<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                            <?php
                        }

                        if (!empty($cwpf_container_styles)) {
                            $css_classes .= " cwpf_section_scrolled";
                        }
                        ?>
                        <div class="<?php echo $css_classes ?>" <?php if (!empty($cwpf_container_styles)): ?>style="<?php echo $cwpf_container_styles ?>"<?php endif; ?>>
                            <?php
                            echo $CWPF->render_html(apply_filters('cwpf_html_types_view_checkbox', CWPF_VIEWS_PATH . 'html_types/checkbox.php'), $args);
                            ?>
                        </div>
                        <?php
                        break;
                    case 'select':
                        if ($CWPF->settings['show_title_label'][$tax_slug]) {
                            ?>
                            <<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                            <?php echo CWPF_HELPER::wpml_translate($taxonomies_info[$tax_slug]) ?>
                            <?php echo CWPF_HELPER::draw_tooltipe(CWPF_HELPER::wpml_translate($taxonomies_info[$tax_slug]), $tooltip_text) ?>
                            <?php CWPF_HELPER::draw_title_toggle($show_toggle, $block_is_closed); ?></<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                            <?php
                        }
                        ?>
                        <div class="<?php echo $css_classes ?>">
                            <?php
                            echo $CWPF->render_html(apply_filters('cwpf_html_types_view_select', CWPF_VIEWS_PATH . 'html_types/select.php'), $args);
                            ?>
                        </div>
                        <?php
                        break;
                    case 'mselect':
                        if ($CWPF->settings['show_title_label'][$tax_slug]) {
                            ?>
                            <<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                            <?php echo CWPF_HELPER::wpml_translate($taxonomies_info[$tax_slug]) ?>
                            <?php echo CWPF_HELPER::draw_tooltipe(CWPF_HELPER::wpml_translate($taxonomies_info[$tax_slug]), $tooltip_text) ?>
                            <?php CWPF_HELPER::draw_title_toggle($show_toggle, $block_is_closed); ?></<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                            <?php
                        }
                        ?>
                        <div class="<?php echo $css_classes ?>">
                            <?php
                            echo $CWPF->render_html(apply_filters('cwpf_html_types_view_mselect', CWPF_VIEWS_PATH . 'html_types/mselect.php'), $args);
                            ?>
                        </div>
                        <?php
                        break;

                    default:
                        if ($CWPF->settings['show_title_label'][$tax_slug]) {
                            $title = CWPF_HELPER::wpml_translate($taxonomies_info[$tax_slug]);
                            $title = explode('^', $title); //for hierarchy drop-down and any future manipulations
                            if (isset($title[1])) {
                                $title = $title[1];
                            } else {
                                $title = $title[0];
                            }
                            ?>
                            <<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                            <?php echo $title ?>
                            <?php echo CWPF_HELPER::draw_tooltipe($title, $tooltip_text) ?>
                            <?php CWPF_HELPER::draw_title_toggle($show_toggle, $block_is_closed); ?>
                            </<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                            <?php
                        }

                        if (!empty($cwpf_container_styles)) {
                            $css_classes .= " cwpf_section_scrolled";
                        }
                        ?>

                        <div class="<?php echo $css_classes ?>" <?php if (!empty($cwpf_container_styles)): ?>style="<?php echo $cwpf_container_styles ?>"<?php endif; ?>>
                            <?php
                            if (!empty(CWPF_EXT::$includes['taxonomy_type_objects'])) {
                                $is_custom = false;
                                foreach (CWPF_EXT::$includes['taxonomy_type_objects'] as $obj) {
                                    if ($obj->html_type == $cwpf_settings['tax_type'][$tax_slug]) {
                                        $is_custom = true;
                                        $args['cwpf_settings'] = $cwpf_settings;
                                        $args['taxonomies_info'] = $taxonomies_info;
                                        echo $CWPF->render_html($obj->get_html_type_view(), $args);
                                        break;
                                    }
                                }


                                if (!$is_custom) {
                                    echo $CWPF->render_html(apply_filters('cwpf_html_types_view_radio', CWPF_VIEWS_PATH . 'html_types/radio.php'), $args);
                                }
                            } else {
                                echo $CWPF->render_html(apply_filters('cwpf_html_types_view_radio', CWPF_VIEWS_PATH . 'html_types/radio.php'), $args);
                            }
                            ?>

                        </div>
                        <?php
                        break;
                }
                ?>

                <input type="hidden" name="cwpf_t_<?php echo $tax_slug ?>" value="<?php echo $taxonomies_info[$tax_slug]->labels->name ?>" /><!-- for red button search nav panel -->

            </div>
        </div>
        <?php
    }

}

if (!function_exists('cwpf_print_item_by_key')) {

    function cwpf_print_item_by_key($key, $cwpf_settings, $additional_taxes) {

        if (!cwpf_only($key, 'item')) {
            return;
        }

        //***

        global $CWPF;
        switch ($key) {
            case 'by_price':
                $price_filter = 0;
                if (isset($CWPF->settings['by_price']['show'])) {
                    $price_filter = (int) $CWPF->settings['by_price']['show'];
                }
                $tooltip_text = "";
                if (isset($CWPF->settings['by_price']['tooltip_text'])) {
                    $tooltip_text = $CWPF->settings['by_price']['tooltip_text'];
                }
                ?>

                <?php if ($price_filter == 1): ?>
                    <div data-css-class="cwpf_price_search_container" class="cwpf_price_search_container cwpf_container cwpf_price_filter">
                        <div class="cwpf_container_overlay_item"></div>
                        <div class="cwpf_container_inner">
                            <div class="woocommerce widget_price_filter">
                                <?php //the_widget('WC_Widget_Price_Filter', array('title' => ''));        ?>
                                <?php if (isset($CWPF->settings['by_price']['title_text']) AND ! empty($CWPF->settings['by_price']['title_text'])): ?>
                                    <<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                                    <?php echo CWPF_HELPER::wpml_translate(null, $CWPF->settings['by_price']['title_text']); ?>
                                    <?php echo CWPF_HELPER::draw_tooltipe(CWPF_HELPER::wpml_translate(null, $CWPF->settings['by_price']['title_text']), $tooltip_text) ?>
                                    </<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                                <?php endif; ?>
                                <?php CWPF_HELPER::price_filter($additional_taxes); ?>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>

                <?php if ($price_filter == 2): ?>
                    <div data-css-class="cwpf_price2_search_container" class="cwpf_price2_search_container cwpf_container cwpf_price_filter">
                        <div class="cwpf_container_overlay_item"></div>
                        <div class="cwpf_container_inner">
                            <?php if (isset($CWPF->settings['by_price']['title_text']) AND ! empty($CWPF->settings['by_price']['title_text'])): ?>
                                <<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                                <?php echo CWPF_HELPER::wpml_translate(null, $CWPF->settings['by_price']['title_text']); ?>
                                <?php echo CWPF_HELPER::draw_tooltipe(CWPF_HELPER::wpml_translate(null, $CWPF->settings['by_price']['title_text']), $tooltip_text) ?>
                                </<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                            <?php endif; ?>

                            <?php echo do_shortcode('[cwpf_price_filter type="select" additional_taxes="' . $additional_taxes . '"]'); ?>

                        </div>
                    </div>
                <?php endif; ?>


                <?php if ($price_filter == 3): ?>
                    <div data-css-class="cwpf_price3_search_container" class="cwpf_price3_search_container cwpf_container cwpf_price_filter">
                        <div class="cwpf_container_overlay_item"></div>
                        <div class="cwpf_container_inner">
                            <?php if (isset($CWPF->settings['by_price']['title_text']) AND ! empty($CWPF->settings['by_price']['title_text'])): ?>
                                <<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                                <?php echo CWPF_HELPER::wpml_translate(null, $CWPF->settings['by_price']['title_text']); ?>
                                <?php echo CWPF_HELPER::draw_tooltipe(CWPF_HELPER::wpml_translate(null, $CWPF->settings['by_price']['title_text']), $tooltip_text) ?>
                                </<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                            <?php endif; ?>

                            <?php echo do_shortcode('[cwpf_price_filter type="slider" additional_taxes="' . $additional_taxes . '"]'); ?>

                        </div>
                    </div>
                <?php endif; ?>


                <?php if ($price_filter == 4): ?>
                    <div data-css-class="cwpf_price4_search_container" class="cwpf_price4_search_container cwpf_container cwpf_price_filter">
                        <div class="cwpf_container_overlay_item"></div>
                        <div class="cwpf_container_inner">
                            <?php if (isset($CWPF->settings['by_price']['title_text']) AND ! empty($CWPF->settings['by_price']['title_text'])): ?>
                                <<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                                <?php echo CWPF_HELPER::wpml_translate(null, $CWPF->settings['by_price']['title_text']); ?>
                                <?php echo CWPF_HELPER::draw_tooltipe(CWPF_HELPER::wpml_translate(null, $CWPF->settings['by_price']['title_text']), $tooltip_text) ?>
                                </<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                            <?php endif; ?>

                            <?php echo do_shortcode('[cwpf_price_filter type="text" additional_taxes="' . $additional_taxes . '"]'); ?>

                        </div>
                    </div>
                <?php endif; ?>
                <?php if ($price_filter == 5): ?>
                    <div data-css-class="cwpf_price5_search_container" class="cwpf_price5_search_container cwpf_container cwpf_price_filter">
                        <div class="cwpf_container_overlay_item"></div>
                        <div class="cwpf_container_inner">
                            <?php
                            $css_classes = "cwpf_block_html_items";
                            $show_toggle = 0;
                            if (isset($CWPF->settings[$key]['show_toggle_button'])) {
                                $show_toggle = (int) $CWPF->settings[$key]['show_toggle_button'];
                            }
                            $tooltip_text = "";
                            if (isset($CWPF->settings['tooltip_text'][$key])) {
                                $tooltip_text = $CWPF->settings['tooltip_text'][$key];
                            }
                            //***
                            $search_query = $CWPF->get_request_data();
                            $block_is_closed = true;
                            if (in_array("min_price", array_keys($search_query))) {
                                $block_is_closed = false;
                            }
                            if ($show_toggle === 1 AND ! in_array("min_price", array_keys($search_query))) {
                                $css_classes .= " cwpf_closed_block";
                            }

                            if ($show_toggle === 2 AND ! in_array("min_price", array_keys($search_query))) {
                                $block_is_closed = false;
                            }

                            if (in_array($show_toggle, array(1, 2))) {
                                $block_is_closed = apply_filters('cwpf_block_toggle_state', $block_is_closed);
                                if ($block_is_closed) {
                                    $css_classes .= " cwpf_closed_block";
                                } else {
                                    $css_classes = str_replace('cwpf_closed_block', '', $css_classes);
                                }
                            }
                            ?>
                            <?php if (isset($CWPF->settings['by_price']['title_text']) AND ! empty($CWPF->settings['by_price']['title_text'])): ?>
                                <<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                                <?php echo CWPF_HELPER::wpml_translate(null, $CWPF->settings['by_price']['title_text']); ?>
                                <?php CWPF_HELPER::draw_title_toggle($show_toggle, $block_is_closed); ?>
                                </<?php echo apply_filters('cwpf_title_tag', 'h4'); ?>>
                            <?php endif; ?>
                            <div class="<?php echo $css_classes ?>" <?php if (!empty($cwpf_container_styles)): ?>style="<?php echo $cwpf_container_styles ?>"<?php endif; ?>>
                                <?php echo do_shortcode('[cwpf_price_filter type="radio" additional_taxes="' . $additional_taxes . '"]'); ?>
                            </div>

                        </div>
                    </div>
                <?php endif; ?>

                <?php
                break;

            default:
                do_action('cwpf_print_html_type_' . $key);
                break;
        }
    }

}
?>


<?php if ($autohide): ?>
    <div>
        <?php
        if (isset($this->settings['cwpf_auto_hide_button_img']) AND ! empty($this->settings['cwpf_auto_hide_button_img'])) {
            if ($this->settings['cwpf_auto_hide_button_img'] != 'none') {
                ?>
                <style type="text/css">
                    .cwpf_show_auto_form,.cwpf_hide_auto_form
                    {
                        background-image: url('<?php echo $this->settings['cwpf_auto_hide_button_img'] ?>') !important;
                    }
                </style>
                <?php
            } else {
                ?>
                <style type="text/css">
                    .cwpf_show_auto_form,.cwpf_hide_auto_form
                    {
                        background-image: none !important;
                    }
                </style>
                <?php
            }
        }
        //***
        $cwpf_auto_hide_button_txt = '';
        if (isset($this->settings['cwpf_auto_hide_button_txt'])) {
            $cwpf_auto_hide_button_txt = CWPF_HELPER::wpml_translate(null, $this->settings['cwpf_auto_hide_button_txt']);
        }
        ?>
        <a href="javascript:void(0);" class="cwpf_show_auto_form <?php if (isset($this->settings['cwpf_auto_hide_button_img']) AND $this->settings['cwpf_auto_hide_button_img'] == 'none') echo 'cwpf_show_auto_form_txt'; ?>"><?php echo __($cwpf_auto_hide_button_txt) ?></a><br />
        <div class="cwpf_auto_show cwpf_overflow_hidden">
            <div class="cwpf_auto_show_indent cwpf_overflow_hidden">
            <?php endif; ?>

            <div class="woocommerce cwpf <?php if (!empty($sid)): ?>cwpf_sid cwpf_sid_<?php echo $sid ?><?php endif; ?>" <?php if (!empty($sid)): ?>data-sid="<?php echo $sid; ?>"<?php endif; ?> data-shortcode="<?php echo(isset($_REQUEST['cwpf_shortcode_txt']) ? $_REQUEST['cwpf_shortcode_txt'] : 'cwpf') ?>" data-redirect="<?php echo $redirect ?>" data-autosubmit="<?php echo $autosubmit ?>" data-ajax-redraw="<?php echo $ajax_redraw ?>">

                <?php if ($show_cwpf_edit_view AND ! empty($sid)): ?>
                    <a href="#" class="cwpf_edit_view" data-sid="<?php echo $sid ?>"><?php _e('show blocks helper', 'cwpfilter') ?></a>
                    <div></div>
                <?php endif; ?>

                <!--- here is possible to drop html code which is never redraws by AJAX ---->
                <?php echo apply_filters('cwpf_print_content_before_redraw_zone', '') ?>

                <div class="cwpf_redraw_zone" data-cwpf-ver="<?php echo CWPF_VERSION ?>">
                    <div class="cwpf_redraw_zone_inner">
                    <?php echo apply_filters('cwpf_print_content_before_search_form', '') ?>
                    <?php
                    if (isset($start_filtering_btn) AND (int) $start_filtering_btn == 1) {
                        $start_filtering_btn = true;
                    } else {
                        $start_filtering_btn = false;
                    }

                    if (is_ajax()) {
                        $start_filtering_btn = false;
                    }

                    if ($this->is_isset_in_request_data($this->get_scwpf_search_slug())) {
                        $start_filtering_btn = false;
                    }
                    ?>

                    <?php if ($start_filtering_btn): ?>
                        <a href="#" class="cwpf_button cwpf_start_filtering_btn"><?php echo $cwpf_start_filtering_btn_txt ?></a>
                    <?php else: ?>
                        <?php
                        if ($btn_position == 't' OR $btn_position == 'tb'OR $btn_position == 'bt') {
                            cwpf_show_btn($autosubmit, $ajax_redraw);
                        }
                        global $wp_query;
                        //+++
                        //if (!empty($taxonomies))
                        {
                            $exclude_tax_key = '';
                            //code-bone for pages like
                            //http://dev.cleveraddon.com/product-category/clothing/ with GET params
                            //another way when GET is actual no possibility get current taxonomy
                            if ($this->is_really_current_term_exists()) {
                                $o = $this->get_really_current_term();
                                $exclude_tax_key = $o->taxonomy;
                                //do_shortcode("[cwpf_products_ids_prediction taxonomies=product_cat:{$o->term_id}]");
                                //echo $o->term_id;exit;
                            }
                            //***
                            if (!empty($wp_query->query)) {
                                if (isset($wp_query->query_vars['taxonomy']) AND in_array($wp_query->query_vars['taxonomy'], get_object_taxonomies('product'))) {
                                    $taxes = $wp_query->query;
                                    if (isset($taxes['paged'])) {
                                        unset($taxes['paged']);
                                    }

                                    foreach ($taxes as $key => $value) {
                                        if (in_array($key, array_keys($this->get_request_data()))) {
                                            unset($taxes[$key]);
                                        }
                                    }
                                    //***
                                    if (!empty($taxes)) {
                                        $t = array_keys($taxes);
                                        $v = array_values($taxes);
                                        //***
                                        $exclude_tax_key = $t[0];
                                        $_REQUEST['CWPF_IS_TAX_PAGE'] = $exclude_tax_key;
                                    }
                                }
                            } else {
                                //***
                            }

                            //***

                            $items_order = array();

                            $taxonomies_keys = array_keys($taxonomies);
                            if (isset($cwpf_settings['items_order']) AND ! empty($cwpf_settings['items_order'])) {
                                $items_order = explode(',', $cwpf_settings['items_order']);
                            } else {
                                $items_order = array_merge($this->items_keys, $taxonomies_keys);
                            }

                            //*** lets check if we have new taxonomies added in woocommerce or new item
                            foreach (array_merge($this->items_keys, $taxonomies_keys) as $key) {
                                if (!in_array($key, $items_order)) {
                                    $items_order[] = $key;
                                }
                            }

                            //lets print our items and taxonomies
                            $counter = 0;

                            if (count($tax_only) > 0) {
                                $items_order = get_order_by_tax_only($items_order, $tax_only);
                            }

                            if (isset($by_step)) {
                                $new_items_order = explode(',', $by_step);
                                $items_order = array_map('trim', $new_items_order);
                            }

                            foreach ($items_order as $key) {

                                if (in_array($key, $this->items_keys)) {
                                    cwpf_print_item_by_key($key, $cwpf_settings, $additional_taxes);
                                } else {
                                    if (!isset($cwpf_settings['tax'][$key])) {
                                        continue;
                                    }

                                    cwpf_print_tax($taxonomies, $key, $taxonomies[$key], $exclude_tax_key, $taxonomies_info, $additional_taxes, $cwpf_settings, $args, $counter);
                                }
                                $counter++;
                            }
                        }
                        ?>

                        </div>
                        <?php
                        //submit form
                        if ($btn_position == 'b' OR $btn_position == 'tb'OR $btn_position == 'bt') {
                            cwpf_show_btn($autosubmit, $ajax_redraw);
                        }
                        ?>

                    <?php endif; ?>



                </div>

            </div>



            <?php if ($autohide): ?>
            </div>
        </div>

    </div>
<?php endif; ?>
