<?php
/**
 * The template part for displaying a message that posts cannot be found
 *
 * Learn more: {@link https://codex.wordpress.org/Template_Hierarchy}
 *
 * @package     Zoo Theme
 * @version     1.0.0
 * @author      Zootemplate
 * @link        https://www.zootemplate.com/
 * @copyright   Copyright (c) 2018 Zootemplate
 
 */
?>

<section class="no-results not-found col-12">
    <h1 class="the-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'dopi' ); ?></h1>
	<div class="result-content">
		<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>
			<p><?php
                esc_html_e( 'Ready to publish your first post?','dopi');
                ?>
                <a href="<?php echo admin_url( 'post-new.php' )?>"> <?php esc_html_e(' Get started here','dopi')?></a></p>
		<?php elseif ( is_search() ) : ?>
			<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'dopi' ); ?></p>
			<?php get_search_form(); ?>
		<?php else : ?>
			<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'dopi' ); ?></p>
			<?php get_search_form(); ?>
		<?php endif; ?>
	</div>
</section>
