<?php
/**
 * Customize for Shop loop product
 */
return [
    [
        'type' => 'section',
        'name' => 'zoo_single_product',
        'title' => esc_html__('Product Page', 'dopi'),
        'panel' => 'woocommerce',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_single_product_general_settings',
        'type' => 'heading',
        'label' => esc_html__('General Settings', 'dopi'),
        'section' => 'zoo_single_product',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_enable_product_share',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Product Share', 'dopi'),
        'checkbox_label' => esc_html__('Show product share if checked.', 'dopi'),
        'theme_supports' => 'woocommerce',
        'default' => 1
    ],
    [
        'name' => 'zoo_enable_sticky_add_to_cart',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Sticky Add to Cart', 'dopi'),
        'checkbox_label' => esc_html__('Block sticky add to cart will show if checked.', 'dopi'),
        'theme_supports' => 'woocommerce',
        'default' => 1,
    ],[
        'name' => 'zoo_enable_buy_now',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Buy Now', 'dopi'),
        'checkbox_label' => esc_html__('Buy now button allow use auto redirect to cart page after product added to cart.', 'dopi'),
        'theme_supports' => 'woocommerce',
        'default' => 0,
    ],[
        'name' => 'zoo_enable_term_buy_now',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Term Buy Now', 'dopi'),
        'checkbox_label' => esc_html__('Label Agree with term with show.', 'dopi'),
        'theme_supports' => 'woocommerce',
        'default' => 1,
        'required' => ['zoo_enable_buy_now', '==', '1'],
    ],[
        'name' => 'zoo_enable_single_product_nav',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Next & Previous product', 'dopi'),
        'theme_supports' => 'woocommerce',
        'default' => 0,
        'checkbox_label' => esc_html__('Show next and previous products navigation.', 'dopi'),

    ],
    [
        'name' => 'zoo_single_product_layout_settings',
        'type' => 'heading',
        'label' => esc_html__('Layout & Gallery Settings', 'dopi'),
        'section' => 'zoo_single_product',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_single_product_layout',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Layout', 'dopi'),
        'default' => 'vertical-thumb',
        'choices' => [
            'vertical-thumb' => esc_html__('Product V1', 'dopi'),
            'horizontal-thumb' => esc_html__('Product V2', 'dopi'),
            'carousel' => esc_html__('Product V3', 'dopi'),
            'grid-thumb' => esc_html__('Product V4', 'dopi'),
            'sticky-1' => esc_html__('Product V5', 'dopi'),
            'sticky-2' => esc_html__('Product V6', 'dopi'),
            'sticky-3' => esc_html__('Product V7', 'dopi'),
            //'accordion' => esc_html__('Accordion', 'dopi'),
            'custom' => esc_html__('Custom', 'dopi'),
        ]
    ],[
        'name' => 'zoo_single_product_content_layout',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Content Layout', 'dopi'),
        'default' => 'right_content',
        'required' => ['zoo_single_product_layout', '==', 'custom'],
        'choices' => [
            'right_content' => esc_html__('Right Content', 'dopi'),
            'left_content' => esc_html__('Left Content', 'dopi'),
            'full_content' => esc_html__('Full width Content', 'dopi'),
            'sticky_content' => esc_html__('Sticky Content', 'dopi'),
        ]
    ],[
        'name' => 'zoo_product_gallery_layout',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Gallery Type', 'dopi'),
        'default' => 'vertical-left',
        'required' => ['zoo_single_product_layout', '==', 'custom'],
        'choices' => [
            'vertical-left' => esc_html__('Vertical Left Thumb', 'dopi'),
            'vertical-right' => esc_html__('Vertical Right Thumb', 'dopi'),
            'horizontal' => esc_html__('Horizontal', 'dopi'),
            'slider' => esc_html__('Slider', 'dopi'),
            'grid' => esc_html__('Grid', 'dopi'),
        ]
    ],
    [
        'name' => 'zoo_product_thumb_cols',
        'type' => 'number',
        'label' => esc_html__('Thumbnail columns', 'dopi'),
        'description' => esc_html__('Number thumbnail gallery display same time.', 'dopi'),
        'section' => 'zoo_single_product',
        'input_attrs' => array(
            'min' => 2,
            'max' => 6,
            'class'=>'zoo-range-slider'
        ),
        'default' => 4,
    ],
    [
        'name' => 'zoo_product_tabs_setting',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Tabs Type', 'dopi'),
        'default' => 'tabs',
        'required' => ['zoo_single_product_layout', '==', 'custom'],
        'choices' => [
            'tabs' => esc_html__('Tabs', 'dopi'),
            'accordion' => esc_html__('Accordion', 'dopi'),
        ]
    ],
    [
        'name' => 'zoo_enable_product_zoom',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Product Gallery Zoom', 'dopi'),
        'theme_supports' => 'woocommerce',
        'checkbox_label' => esc_html__('Enable product zoom for product gallery.', 'dopi'),
        'default' => 1,
    ],[
        'name' => 'zoo_enable_product_lb',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Product Gallery Light Box', 'dopi'),
        'theme_supports' => 'woocommerce',
        'checkbox_label' => esc_html__('Enable light box for product gallery.', 'dopi'),
        'default' => 1,
    ],
    [
        'name' => 'zoo_single_product_cart_extend_settings',
        'type' => 'heading',
        'label' => esc_html__('Cart Extend Feature', 'dopi'),
        'section' => 'zoo_single_product',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_single_product_cart_size_guide',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Size Guide', 'dopi'),
        'description' => esc_html__('Disable by set None. Label display in product page will apply follow page title.', 'dopi'),
        'default' => '0',
        'choices' => zoo_get_pages()
    ],[
        'name' => 'zoo_single_product_cart_delivery',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Delivery & Return', 'dopi'),
        'description' => esc_html__('Disable by set None. Label display in product page will apply follow page title.', 'dopi'),
        'default' => '0',
        'choices' => zoo_get_pages()
    ],[
        'name' => 'zoo_single_product_cart_ask_product',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Ask about this product', 'dopi'),
        'description' => esc_html__('Disable by set None. Label display in product page will apply follow page title.', 'dopi'),
        'default' => '0',
        'choices' => zoo_get_pages()
    ],
    [
        'name' => 'zoo_single_product_extend_settings',
        'type' => 'heading',
        'label' => esc_html__('Extend Feature', 'dopi'),
        'section' => 'zoo_single_product',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_product_enable_sold_per_day',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Show sold on this day', 'dopi'),
        'theme_supports' => 'woocommerce',
        'checkbox_label' => esc_html__('Show number products sold inside 24h.', 'dopi'),
        'default' => 1,
    ],
    [
        'name' => 'zoo_product_sold_fake_data',
        'type' => 'number',
        'label' => esc_html__('Minimum sold', 'dopi'),
        'description' => esc_html__('Fake sold current product, auto disable if set 0.', 'dopi'),
        'section' => 'zoo_single_product',
        'default' => 10,
    ],[
        'name' => 'zoo_product_sold_fake_max_data',
        'type' => 'number',
        'label' => esc_html__('Maximum sold', 'dopi'),
        'section' => 'zoo_single_product',
        'default' => 50,
    ],
    [
        'name' => 'zoo_product_stock_countdown',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Stock Countdown', 'dopi'),
        'theme_supports' => 'woocommerce',
        'checkbox_label' => esc_html__('Show Stock Countdown of deal product.', 'dopi'),
        'default' => 1,
    ],
    [
        'name' => 'zoo_product_get_order',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Get Order time', 'dopi'),
        'theme_supports' => 'woocommerce',
        'checkbox_label' => esc_html__('Show expected day will deliver.', 'dopi'),
        'default' => 1,
    ],
    [
        'name' => 'zoo_product_get_order_day',
        'type' => 'number',
        'label' => esc_html__('Order Day', 'dopi'),
        'description' => esc_html__('Expected day will get order.', 'dopi'),
        'section' => 'zoo_single_product',
        'default' => 3,
    ],
    [
        'name' => 'zoo_product_get_visitor',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Show Visitor product', 'dopi'),
        'theme_supports' => 'woocommerce',
        'checkbox_label' => esc_html__('Show visitor on product.', 'dopi'),
        'default' => 1,
    ],
    [
        'name' => 'zoo_product_visitor_fake_data',
        'type' => 'number',
        'label' => esc_html__('Minimum visitor', 'dopi'),
        'description' => esc_html__('Fake visitor current product, auto disable if current visitor more than this value .', 'dopi'),
        'section' => 'zoo_single_product',
        'default' => 100,
    ],[
        'name' => 'zoo_product_visitor_fake_max_data',
        'type' => 'number',
        'label' => esc_html__('Maximum visitor', 'dopi'),
        'section' => 'zoo_single_product',
        'default' => 200,
    ],
    [
        'name' => 'zoo_product_free_shipping_notice',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Free shipping amount notice', 'dopi'),
        'theme_supports' => 'woocommerce',
        'checkbox_label' => esc_html__('Show Free shipping amount in product summary.', 'dopi'),
        'default' => 1,
    ],
    [
        'name' => 'zoo_product_guarantee_safe_checkout',
        'type' => 'image',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Guarantee Safe Checkout Logo', 'dopi'),
        'theme_supports' => 'woocommerce',
    ],
    [
        'name' => 'zoo_single_product_upsell_settings',
        'type' => 'heading',
        'label' => esc_html__('Upsell Product', 'dopi'),
        'section' => 'zoo_single_product',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_upsell_products_layout',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Layout', 'dopi'),
        'default' => 'grid',
        'choices' => [
            'grid' => esc_html__('Grid', 'dopi'),
            'carousel' => esc_html__('Carousel', 'dopi'),
        ]
    ],
    [
        'name' => 'zoo_upsell_products_cols',
        'type' => 'number',
        'label' => esc_html__('Columns', 'dopi'),
        'description' => esc_html__('Number products per row.', 'dopi'),
        'section' => 'zoo_single_product',
        'input_attrs' => array(
            'min' => 1,
            'max' => 10,
            'class'=>'zoo-range-slider'
        ),
        'default' => 4,
    ],
    [
        'name' => 'zoo_single_product_recent_settings',
        'type' => 'heading',
        'label' => esc_html__('Recently Viewed Product', 'dopi'),
        'section' => 'zoo_single_product',
        'theme_supports' => 'woocommerce'
    ],
    [
        'type' => 'checkbox',
        'name' => 'zoo_enable_recently_viewed_product',
        'label' => esc_html__('Enable Recently Viewed Products', 'dopi'),
        'section' => 'zoo_single_product',
        'default' => '1',
        'checkbox_label' => esc_html__('Recently Viewed Products will show if enabled.', 'dopi'),
    ],
    [
        'name' => 'zoo_recently_viewed_product_number',
        'type' => 'number',
        'label' => esc_html__('Maximum recently viewed product', 'dopi'),
        'description' => esc_html__('Total number recently viewed product.', 'dopi'),
        'section' => 'zoo_single_product',
        'required' => ['zoo_enable_recently_viewed_product', '==', '1'],
        'input_attrs' => array(
            'min' => 1,
            'max' => 20,
            'class'=>'zoo-range-slider'
        ),
        'default' => 8,
    ],

    [
        'name' => 'zoo_recently_viewed_product_layout',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Layout', 'dopi'),
        'default' => 'grid',
        'required' => ['zoo_enable_recently_viewed_product', '==', '1'],
        'choices' => [
            'grid' => esc_html__('Grid', 'dopi'),
            'carousel' => esc_html__('Carousel', 'dopi'),
        ]
    ],
    [
        'name' => 'zoo_recently_viewed_product_cols',
        'type' => 'number',
        'label' => esc_html__('Columns', 'dopi'),
        'description' => esc_html__('Number products per row.', 'dopi'),
        'section' => 'zoo_single_product',
        'required' => ['zoo_enable_recently_viewed_product', '==', '1'],
        'input_attrs' => array(
            'min' => 1,
            'max' => 10,
            'class'=>'zoo-range-slider'
        ),
        'default' => 4,
    ],    [
        'name' => 'zoo_single_product_related_settings',
        'type' => 'heading',
        'label' => esc_html__('Related Product', 'dopi'),
        'section' => 'zoo_single_product',
        'theme_supports' => 'woocommerce'
    ],
    [
        'type' => 'checkbox',
        'name' => 'zoo_enable_related_products',
        'label' => esc_html__('Enable Related Products', 'dopi'),
        'section' => 'zoo_single_product',
        'default' => '1',
        'checkbox_label' => esc_html__('Related Products will show if enabled.', 'dopi'),
    ],
    [
        'name' => 'zoo_related_products_number',
        'type' => 'number',
        'label' => esc_html__('Maximum related product', 'dopi'),
        'description' => esc_html__('Total number related product.', 'dopi'),
        'section' => 'zoo_single_product',
        'required' => ['zoo_enable_related_products', '==', '1'],
        'input_attrs' => array(
            'min' => 1,
            'max' =>20,
            'class'=>'zoo-range-slider'
        ),
        'default' => 8,
    ],

    [
        'name' => 'zoo_related_products_layout',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Layout', 'dopi'),
        'default' => 'grid',
        'required' => ['zoo_enable_related_products', '==', '1'],
        'choices' => [
            'grid' => esc_html__('Grid', 'dopi'),
            'carousel' => esc_html__('Carousel', 'dopi'),
        ]
    ],
    [
        'name' => 'zoo_related_products_cols',
        'type' => 'number',
        'label' => esc_html__('Columns', 'dopi'),
        'description' => esc_html__('Number products per row.', 'dopi'),
        'section' => 'zoo_single_product',
        'required' => ['zoo_enable_related_products', '==', '1'],
        'input_attrs' => array(
            'min' => 1,
            'max' => 10,
            'class'=>'zoo-range-slider'
        ),
        'default' => 4,
    ],
];